Module
Contents
Index 🔎︎

# Add-in Functions, List of Analysis Functions Part One

Selle käsu kasutamiseks...

Lisamine - Funktsioon - Kategooria Lisatud

## BESSELI

Calculates the modified Bessel function of the first kind In(x).

### Syntax

BESSELI(X; N)

X on väärtus, mille kohal funktsioon arvutatakse.

N is a positive integer (N >= 0) representing the order of the Bessel function In(x)

### Example

=BESSELI(3.45, 4), returns 0.651416873060081

=BESSELI(3.45, 4.333), returns 0.651416873060081, same as above because the fractional part of N is ignored.

=BESSELI(-1, 3), returns -0.022168424924332

## BESSELJ

Calculates the Bessel function of the first kind Jn(x) (cylinder function).

### Syntax

BESSELJ(X; N)

X on väärtus, mille kohal funktsioon arvutatakse.

N is a positive integer (N >= 0) representing the order of the Bessel function Jn(x)

### Example

=BESSELJ(3.45, 4), returns 0.196772639864984

=BESSELJ(3.45, 4.333), returns 0.196772639864984, same as above because the fractional part of N is ignored.

=BESSELJ(-1, 3), returns -0.019563353982668

## BESSELK

Calculates the modified Bessel function of the second kind Kn(x).

### Syntax

BESSELK(X; N)

X is the strictly positive value (X > 0) on which the function will be calculated.

N is a positive integer (N >= 0) representing the order of the Bessel function Kn(x)

### Example

=BESSELK(3.45, 4), returns 0.144803466373734

=BESSELK(3.45, 4.333), returns 0.144803466373734, same as above because the fractional part of N is ignored.

=BESSELK(0, 3), returns Err:502 – invalid argument (X=0)

## BESSELY

Calculates the Bessel function of the second kind Yn(x).

### Syntax

BESSELY(X; N)

X is the strictly positive value (X > 0) on which the function will be calculated.

N is a positive integer (N >= 0) representing the order of the Bessel function Yn(x)

### Example

=BESSELY(3.45, 4), returns -0.679848116844476

=BESSELY(3.45, 4.333), returns -0.679848116844476, same as above because the fractional part of N is ignored.

=BESSELY(0, 3), returns Err:502 – invalid argument (X=0)

## BIN2DEC

Vastuseks on sisestatud kahendarvule vastav kümnendarv.

### Syntax

BIN2DEC(arv)

Arv on kahendarv. Arv võib sisaldada kuni 10 kohta (bitti). Olulisim bitt tähistab arvu märki. Negatiivsed arvud sisestatakse arvu kaks täiendina.

### Example

=BIN2DEC(1100100) tagastab 100.

## BIN2HEX

Vastuseks on sisestatud kahendarvule vastav kuueteistkümnendarv.

### Syntax

BIN2HEX(arv; kohti)

Arv on kahendarv. Arv võib sisaldada kuni 10 kohta (bitti). Olulisim bitt tähistab arvu märki. Negatiivsed arvud sisestatakse arvu kaks täiendina.

Kohti on tagastatavate kohtade arv.

### Example

=BIN2HEX(1100100;6) tagastab 000064.

## BIN2OCT

Vastuseks on sisestatud kahendarvule vastav kaheksandarv.

### Syntax

BIN2OCT(arv; kohti)

Arv on kahendarv. Arv võib sisaldada kuni 10 kohta (bitti). Olulisim bitt tähistab arvu märki. Negatiivsed arvud sisestatakse arvu kaks täiendina.

Kohti on tagastatavate kohtade arv.

### Example

=BIN2OCT(1100100;4) tagastab 0144.

## DEC2BIN

Tulemuseks on sisestatud -512 ja 511 vahel olevale kümnendarvule vastav kahendarv.

### Syntax

DEC2BIN(arv; kohti)

Arv on kümnendarv. Kui arv on negatiivne, tagastab funktsioon 10 märgist koosneva kahendarvu. Olulisim bitt tähistab arvu märki, ülejäänud 9 märki tagastavad väärtuse.

Kohti on tagastatavate kohtade arv.

### Example

=DEC2BIN(100;8) tagastab 01100100.

## DEC2HEX

Vastuseks on sisestatud kümnendarvule vastav kuueteistkümnendarv.

### Syntax

DEC2HEX(arv; kohti)

Arv on kümnendarv. Kui arv on negatiivne, tagastab funktsioon 10 märgist (40 bitist) koosneva kuueteistkümnendarvu. Olulisim bitt tähistab arvu märki, ülejäänud 39 märki tagastavad väärtuse.

Kohti on tagastatavate kohtade arv.

### Example

=DEC2HEX(100;4) tagastab 0064.

## DEC2OCT

Vastuseks on sisestatud kümnendarvule vastav kaheksandarv.

### Syntax

DEC2OCT(arv; kohti)

Arv on kümnendarv. Kui arv on negatiivne, tagastab funktsioon 10 märgist (30 bitist) koosneva kaheksandarvu. Olulisim bitt tähistab arvu märki, ülejäänud 29 märki tagastavad väärtuse.

Kohti on tagastatavate kohtade arv.

### Example

=DEC2OCT(100;4) tagastab 0144.

## DELTA

Vastus on TÕENE (1), kui mõlemad argumendina antud arvud on võrdsed, vastasel juhul on vastuseks VÄÄR (0).

### Syntax

DELTA(arv1; arv 2)

### Example

=DELTA(1;2) tagastab 0.

## ERF

Tagastab Gaussi veaintegraali väärtused.

### Syntax

ERF(alumine raja; ülemine raja)

Alumine raja on integraali alumine raja.

UpperLimit is optional. It is the upper limit of the integral. If this value is missing, the calculation takes place between 0 and the lower limit.

### Example

=ERF(0;1) tagastab 0,842701.

## ERF.PRECISE

Returns values of the Gaussian error integral between 0 and the given limit.

### Syntax

ERF.PRECISE(LowerLimit)

LowerLimit is the limit of the integral. The calculation takes place between 0 and this limit.

### Example

=ERF.PRECISE(1) returns 0.842701.

## ERFC

Returns complementary values of the Gaussian error integral between x and infinity.

### Syntax

ERFC(alumine raja)

Alumine raja on integraali alumine raja.

### Example

=ERFC(1) tagastab 0,157299.

## ERFC.PRECISE

Returns complementary values of the Gaussian error integral between x and infinity.

### Syntax

ERFC.PRECISE(LowerLimit)

Alumine raja on integraali alumine raja.

### Example

=ERFC.PRECISE(1) returns 0.157299.

## GESTEP

Vastus on 1, kui arv on suurem või võrdne sammuga.

### Syntax

GESTEP(arv; samm)

### Example

=GESTEP(5;1) tagastab 1.

## HEX2BIN

Vastuseks on sisestatud kuueteistkümnendarvule vastav kahendarv.

### Syntax

HEX2BIN(arv; kohti)

Number is a hexadecimal number or a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Kohti on tagastatavate kohtade arv.

### Example

=HEX2BIN("6a";8) returns 01101010.

## HEX2DEC

Vastuseks on sisestatud kuueteistkümnendarvule vastav kümnendarv.

### Syntax

HEX2DEC(arv)

Number is a hexadecimal number or a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

### Example

=HEX2DEC("6a") returns 106.

## HEX2OCT

Vastuseks on sisestatud kuueteistkümnendarvule vastav kaheksandarv.

### Syntax

HEX2OCT(arv; kohti)

Number is a hexadecimal number or a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Kohti on tagastatavate kohtade arv.

### Example

=HEX2OCT("6a";4) returns 0152.

Sarnased teemad

Add-in Functions

Add-in Functions, List of Analysis Functions Part Two

Text Functions

Functions by Category